%% antonym


%% x: 9 points of x.. (a, b, c, d, e, f, g, i, h)

function[MFs] = antonym(x)

x1 = x(1:4);
x2 = x(5:8);

xxf = zeros(1,4);
for i=1:4
    xxf(i)=10-x1(i);
end
xxf1 = sort(xxf);

xxs = zeros(1,4);
for j=1:4
    xxs(j)=10-x2(j);
end
xxs1 = sort(xxs);

MFs = [xxf1 xxs1 x(9)];

return;

